std::unary_function< _Arg, _Result >(3)

NAME
std::unary_function< _Arg, _Result > -

SYNOPSIS

Inherited by __gnu_cxx::binary_compose< _Operation1, _Operation2, _Operation3 >, __gnu_cxx::subtractive_rng, __gnu_cxx::unary_compose< _Operation1, _Operation2 >, and std::pointer_to_unary_function< _Arg, _Result >.

  Public Types
typedef _Arg argument_type
typedef _Result result_type

Detailed Description

  template<typename _Arg, typename _Result>struct std::unary_function< _Arg, _Result >
This is one of the functor base classes.

Definition at line 101 of file stl_function.h.

Member Typedef Documentation

  template<typename _Arg, typename _Result> typedef _Arg std::unary_function< _Arg, _Result >::argument_type

argument_type is the type of the argument

Definition at line 104 of file stl_function.h.

  template<typename _Arg, typename _Result> typedef _Result std::unary_function< _Arg, _Result >::result_type

result_type is the return type

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.